#!/bin/sh

#Programmed by Nathan Dabney of the Open Source Development Lab
#Copyright (C) 2001 Open Source Development Lab 
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

E=environment
HOME=`pwd`

TARG=${HOME}/${E}

if [ ! -d ${TARG} ]; then
  echo "ERROR: MISSING ${TARG} DIR, PANIC"
  echo "ERROR: MISSING ${TARG} DIR, PANIC" > ENV-ERROR
  exit 1
fi

cd ${TARG} 

if ( test -x /usr/sbin/lshw ); then
	/usr/sbin/lshw > System_Information-after.txt
	/usr/sbin/lshw -html > System_Information-after.html
elif ( test -x /usr/bin/si ); then
  si > System_Information-after.txt
fi

cp -a /var/log/syslog syslog-capture
cp -a ${HOME}/linux/.config kernel-config
cp -a ${HOME}/machine_info machine_info

chmod +r syslog-capture

lspci > lspci_short.txt
lspci -v -v -v > lspci_long.txt

df -h > df.txt

echo "md5sum of upgraded packages (if any) are:" > ${TARG}/package-upgrades
echo >> ${TARG}/package-upgrades

cd /usr/src/updates/ && md5sum * >> ${TARG}/package-upgrades

mkdir ${TARG}/proc && cd ${TARG}/proc

for I in cpuinfo cmdline devices dma e820info filesystems interrupts iomem ioports locks meminfo misc modules mdstat mounts mtrr partitions pci rtc scsi/scsi slabinfo stat swaps uptime version; do
  if ( test -f /proc/${I} ); then
    cat /proc/${I} > ${I}
  else
    echo File Missing > ${I}
  fi
done

cd ${HOME}

rm -f environment.tar.gz

tar -czf environment.tar.gz environment
