#!/bin/sh
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
#  Purpose: This is a generic timeout script for STP tests to call from wrap.sh.
#           It generates the index.html and result email.
#
#  Usage:  timeout.sh <time_interval> <process_name_list> &
#  
#

TIMEOUT=$1;
if  [ -z $TIMEOUT ]; then
	exit
fi

echo `ps -ef |grep stp_timeout |grep -v grep |sed 's/ \{1,\}/+/g'|cut -d+ -f2` > /tmp/stp_timeout.pid

sleep $TIMEOUT

# If we get here we have timed out

echo "TIMEOUT EXPIRED ON RUNNING TEST - KILLING TEST PROCESSES" >> $RESULTS_EMAIL

cat $RESULTS_HEADER > $WRAP_HOME/index.html
echo "<H3>TIMEOUT EXPIRED ON RUNNING TEST - KILLING TEST PROCESSES</H3>" >> $WRAP_HOME/index.html
echo "<H3>Process Information at Timeout</H3>" >> $WRAP_HOME/index.html
echo "<PRE> `ps -aux|grep -v "ps -aux"` </PRE><BR>" >> $WRAP_HOME/index.html

killall $2
sleep 300

# We sleep 5 minutes to give wrap.sh some time to finish
killall -9 wrap.sh
ERR=$?
if [ $ERR -ne 0 ] ; then
    # Add footer 
    cat $RESULTS_FOOTER >> $WRAP_HOME/index.html 
fi

sleep 10

exit 0
