#!/usr/bin/perl -w

use Eidetic::Stp;

# == Configuration ======================================================
# The domain portion of your site, used for setting up mail addresses
$domain      = "osdl.org";

# Email address for users to send administrative requests
$adminAddrs  = "webmaster\@$domain";

# Generic webmaster account
$webmaster   = "webmaster\@$domain";

# Location where eidetic is installed
$eideticDir  = "/home/www/eidetic";

# Location of templates
$srcDir      = "/var/www/eidetic_templates";

# Location of html root (for images)
$htmlDir     = "/home/www/site_html";

# Location to use for temporary files
$tmpDir      = "/tmp";

# Database identification information
# $db_host     = 'DBI:mysql:EIDETIC:air.osdl.org';
$db_host     = 'DBI:mysql:EIDETIC:cl004';
$db_user     = 'mysql';
$db_pass     = 'Mysql#99';


# == End of configuration section =============


Eidetic::Stp::registerModule('host_states', {
    tables     => ('eidetic:host_state'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_host_states,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }
} );

Eidetic::Stp::registerModule('distro_tags', {
    tables => ('eidetic:distro_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_distro_tags,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }
} );

Eidetic::Stp::registerModule('kernel_tags', {
    tables => ('eidetic:kernel_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_kernel_tags,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }

} );

Eidetic::Stp::registerModule('tests', {
    tables => ('eidetic:test'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }

} );

Eidetic::Stp::registerModule('stp_host_types', {
    tables     => ('eidetic:host_type'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_host_types,
    commands   => {
               display  => \&Eidetic::Stp::do_display
               }


} );

Eidetic::Stp::registerModule('test_priorities', {
    tables => ('eidetic:test_priority'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test_priorities,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }

} );

Eidetic::Stp::registerModule('stp', {
    tables     => ('eidetic:test_request'),
    databases  => ('eidetic'),
    handler    => \&Eidetic::Stp::do_stp,
    commands   => {
	display  => \&Eidetic::Stp::do_display,
	search  => \&Eidetic::Stp::do_search,
      }
} );

Eidetic::Stp::registerModule('stp_log', {
    tables => ('eidetic:stp_log'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_stp_log,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('patch_tag', {
    tables => ('eidetic:patch_tag'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_patch_tag,
    commands   => \%stdcmds
} );

Eidetic::Stp::registerModule('test_requests', {
    tables => ('eidetic:test_request'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_test_requests,
    commands   => {
	display => \&Eidetic::Stp::do_display,
	search  => \&Eidetic::Stp::do_search
	}
} );

Eidetic::Stp::registerModule('users', {
    tables => ('eidetic:user'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_users,
    commands   => {
	edit => \&Eidetic::Stp::do_edit,
	reedit => \&Eidetic::Stp::do_edit,
	store => \&Eidetic::Stp::do_store,
	thanks => \&Eidetic::Stp::do_users_thanks
	}
} );
 
Eidetic::Stp::registerModule('articles', {
    tables => ('eidetic:article'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_articles,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }

} );

Eidetic::Stp::registerModule('article_types', {
    tables => ('eidetic:article_type'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_article_types,
    commands   => {
	       display  => \&Eidetic::Stp::do_display
	       }

} );

Eidetic::Stp::registerModule('projects', {
    tables => ('eidetic:project'),
    databases => ('eidetic'),
    handler => \&Eidetic::Stp::do_projects,
    commands   => {
	       store    => \&Eidetic::Stp::do_store,
	       reedit   => \&Eidetic::Stp::do_edit,
	       display  => \&Eidetic::Stp::do_display
	       }
} );

############
### MAIN ###
############

Eidetic::Stp::main();

