# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
package STP::Client::Transport;

# use strict;
use SOAP::Lite;

require Exporter;

@ISA = qw( Exporter );

@EXPORT = qw( doASPAction doASP );

BEGIN { }

sub doASPAction {
    my ( $uri, $proxy, $command, @args ) = @_;

    my $soap;
    eval {
        $soap = SOAP::Lite->uri( $uri )->proxy( $proxy )->$command( @args );

        if ( $soap->fault ) {
            print STDERR "SOAP::Lite fault message:\n";
            print STDERR $soap->faultcode . " " . $soap->faultstring . "\n";
            return undef;
        }
    };

    if ( $@ ) {
        print STDERR "SOAP::Lite -> $@\n";
        return undef;
    }

    my $ret = $soap->result();
    $ret = '' unless ( defined $ret );

    # Some clients apparently break the < character?
    $ret =~ s/&lt;/</g;

    return $ret;
}

1;

