# Copyright (C) 2002 Open Source Development Lab
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# This package gives access to distro_tag in database.
#

=head1 package STP::DB::DistroTag

  inherits DB::Database
  provides a single accessor
  getDistroTag()

=cut 

package STP::DB::DistroTag;
use STP::DB::Database;

@ISA = qw( STP::DB::Database );

use strict;
use warnings;

sub new {
    my $self = {};
    my $package_name = shift;
    bless $self, $package_name;


    ( $self->{ config } ) = $_[0];

    $self::dbh     = "";
    $self::db_lock = 0;

    $self->{ tableName } = " distro_tag ";

    $self->{ fields } = "uid, descriptor" ;

    my $uid=$_[1];
    if ($uid){
	$self->getDistroTag($uid);
    }

    return $self;

}

sub getDistroTag {
    my ( $self, $uid ) = @_;
    # Check that uid is digits
    if ( $uid =~ m/^\d+$/ ) {

    	my $query = qq(
                   SELECT $self->{ fields }
                   FROM $self->{ tableName }
                   WHERE uid = $uid
                   );

    	$self->{ resultSet } = $self->_select( $query );
    }
}

return 1;
