# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

=head1 package STP::DB::User

defines the db user - provides a few accessor funtions
    inherits from DB::Database

=cut

package STP::DB::User;

@ISA = qw( STP::DB::Database );

use strict;
use warnings;

BEGIN { }

sub new {
    my $self = {};
    bless $self;

    shift;

    ( $self->{ config } ) = @_;

    $self::dbh     = "";
    $self::db_lock = 0;

    $self->{ tableName } = " user ";

    $self->{ fields } = "u.uid, u.real_email, u.nickname, u.unixpassword";

    return $self;
}

# create the table (only used at setup time)
#sub createTable
#{
#    my ( $self ) = @_;
#
#    my $query = qq(
#		    CREATE TABLE $self::tableName
#		    ( uid INT, real_email VARCHAR(255), nickname VARCHAR(255),
#		      unixpassword VARCHAR(255)
#		    )
#		   );

#    $self->_update( $query );
#}

=head1 Accessor function

getUserByUid
getUserByUsername

=cut 

sub getUserByUid {
    my ( $self, $uid ) = @_;

    my $query = qq(
		   SELECT $self->{ fields } 
		   FROM $self->{ tableName } u
		   WHERE u.uid = $uid
		   );

    $self->{ resultSet } = $self->_select( $query );
}

sub getUserByUsername {
    my ( $self, $username ) = @_;

    # get all of the uid's
    my $query = qq(
		    SELECT uid
		    FROM $self->{ tableName } u
		    WHERE u.nickname = '$username'
		   );

    $self->{ resultSet } = $self->_select( $query );

}

END { }

1;
