# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# Filename: QDObject.pm
# Author: Jerry Sievert (jerry@osdl.org)
# Date: Feb 18, 2002
#
# Quick/Dirty XML Base Object
#
# The purpose of this module is to define the base abstract
# definitions of the methods that QDXml and QDXmlElement
# rely on.
#
# It's defined this way because it I wanted to make sure that
# the API matched the existing QDXml code package written in
# Java.  Having the same API under multiple languages is a
# major timesaver for me.

package STP::XML::QDObject;

use strict;
use warnings;

BEGIN { }

# data type definitions
my $ELEMENT = 1;
my $RECORD  = 2;

# returns the data type of the current record, either an element,
# or a record -- in this case, it returns 0, undefined -- there
# should *never* be a QDObject instanciated, nor should anything
# fall back to this, if it does, it's behaviour had darned well be
# undefined.
sub getDataType {
    my ( $self ) = @_;
    return 0;
}

# returns the name of the element being referenced, or if the case
# of a full document, the object
sub getElementName {
    my ( $self ) = @_;
    return "";
}

# returns a string representation of the QDObject, in this case, it
# simply returns an empty string.
sub toString {
    my ( $self, $depth ) = @_;
    return "";
}

# start the parse of the xml data, to have all of its values loaded
# into the object
sub parseXMLData {
    my ( $self, $xmlData ) = @_;
}

END { }

1;
