#!/bin/sh

#
# This is a wrapper script which first calls the gentler 'power_soft.pl'
# and then tries to hard reset by calling 'power'.
#
#
# Commands used for soft and hard cycling
command=$1
host=$2

SOFT_POWER="/usr/bin/stp_power_soft.pl --option $command --host"
HARD_POWER="/usr/local/bin/power $command"
log=/var/log/stp/power.log

if [ -z $host ]; then
     printf "\nUsage:  power_cycle.sh cycle <host_name>\n\n"
     now=`date +'%y-%b-%d %H:%M:%S'`
     echo "$now Empty host string." >>$log
     exit -1
fi

err_msg=`su robot -c "$SOFT_POWER $host"`
err=$?

now=`date +'%y-%b-%d %H:%M:%S'`
# If the soft power cycle fails we hard cycle.
if [ $err -ne 0 ]; then
      echo "$now $host $err_msg" >>$log
      $HARD_POWER $host
      err=$?
      if [ $err -ne 0 ] ; then
          echo "$now $host Hard cycle failed $err" >>$log
      else
          echo "$now $host hard cycled" >>$log
      fi
else
      echo "$now $host soft cycled" >>$log
fi

exit $err
