#!/usr/bin/perl -I/usr/share/stp/lib
# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

require STP::XML::Config;
require STP::DB::HostType;
require STP::DB::Host;

my $configfile = "/usr/share/stp/etc/config.xml";

my $config = new STP::XML::Config( $configfile );

my $ht  = new STP::DB::HostType( $config );
my @hts = $ht->getAllHostTypes();

my $descriptor  = get_input_from_user( "Hostname",        "" );
my $description = get_input_from_user( "Description",     "" );
my $ram         = get_input_from_user( "RAM (MB)",        "" );
my $disk        = get_input_from_user( "Disk Space (GB)", "" );

my $htq = "Host Type:\n";

foreach my $htt ( @hts ) {
    $htq .= $htt->getProperty( 0, "uid" ) . ") "
      . $htt->getProperty( 0, "descriptor" ) . "\n";
}

my $hosttype = get_input_from_user( $htq, "" );

my $h = new STP::DB::Host( $config );
$h->writeHost( 0, $descriptor, $description, $ram, $disk, 0, $hosttype, "" );

sub get_input_from_user {
    my ( $question, $default ) = @_;

    print $question . "\n";
    print "     (default [$default]): ";

    my $input = <STDIN>;
    $input =~ s/\s+//;

    if ( $input eq "" ) {
        return $default;
    }

    return $input;
}
