#!/usr/bin/perl -I/usr/share/stp/lib
# Copyright (C) 2002 Open Source Development Lab 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

require STP::XML::Config;
require STP::DB::HostType;

my $configfile = "/usr/share/stp/etc/config.xml";

my $config = new STP::XML::Config( $configfile );

my $db = new STP::DB::HostType( $config );

my $descriptor    = get_input_from_user( "Description",      "" );
my $cpu           = get_input_from_user( "CPU",              "" );
my $ram_qty       = get_input_from_user( "RAM (MBs)",        "" );
my $storage_space = get_input_from_user( "Disk Space (GBs)", "" );
my $spindle_qty   = get_input_from_user( "Spindle Qty",      "" );
my $eth100        = get_input_from_user( "Ethernet 100",     "" );
my $eth1000       = get_input_from_user( "Ethernet 1000",    "" );

$db->writeHostType(
                    0,              $descriptor,
                    $cpu,           $ram_qty,
                    $storage_space, $spindle_qty,
                    $eth100,        $eth1000
);

sub get_input_from_user {
    my ( $question, $default ) = @_;

    print $question . "\n";
    print "     (default [$default]): ";

    my $input = <STDIN>;
    $input =~ s/\s+//;

    if ( $input == "" ) {
        return $default;
    }

    return $input;
}
