%define name stp
%define version 2.1.0
%define release 1
%define perl_version 5.8.0

Summary:       Scalable Test Platform
Name:          %{name}
Version:       %{version}
Release:       %{release}
Url:           http://www.sourceforge.net/projects/stp
Source:        %{name}-%{version}.tar.gz
License:       GPL
Group:         System Environment/Libraries
Prefix:        %{_prefix}
BuildRequires: perl
BuildArch:     noarch
#BuildRoot:     /usr/src/redhat/BUILD/%{name}-%{version}
BuildRoot:     %{_tmppath}/%{name}-buildroot
PreReq:        chkconfig
Requires:      perl = %{perl_version}


%description

Scalable Test Platform

%prep
%setup -q

%build
echo "DEBUG: CLEANING BUILD SPACE"
%__rm -f Makefile
echo "DEBUG: CREATING THE MAKEFILE"
%{__perl} Makefile.PL PREFIX=%{prefix}
echo "DEBUG: MAKING THE SOFTWARE"
%__make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
echo BUILD_ROOT is $RPM_BUILD_ROOT
echo "DEBUG: RUNNING MAKE TEST"
%__make test

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT/usr
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr

%__mkdir_p $RPM_BUILD_ROOT/usr/bin/
%__mkdir_p $RPM_BUILD_ROOT/etc/init.d
%__mkdir_p $RPM_BUILD_ROOT/etc/rc3.d
%__mkdir_p $RPM_BUILD_ROOT/usr/share/man/man3
%__mkdir_p $RPM_BUILD_ROOT/var/www/cgi-bin/auth
%__mkdir_p $RPM_BUILD_ROOT/var/www/eidetic/tmpl
%__mkdir_p $RPM_BUILD_ROOT/var/www/site_html
%__mkdir_p $RPM_BUILD_ROOT/var/www/site_src
%__mkdir_p $RPM_BUILD_ROOT/var/www/site_tmp
%__mkdir_p $RPM_BUILD_ROOT/var/www/site_html
%__mkdir_p $RPM_BUILD_ROOT/var/www/intranet_uploads
%__mkdir_p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perl_version}
%__mkdir_p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perl_version}

%__cp client/stp_init $RPM_BUILD_ROOT/etc/init.d/.

%__cp etc/config.xml $RPM_BUILD_ROOT/etc/.
%__cp src/*pl $RPM_BUILD_ROOT/usr/bin/
%__cp client/stp* $RPM_BUILD_ROOT/usr/bin/
%__cp client/request-details.test $RPM_BUILD_ROOT/usr/bin/
%__cp html_root/cgi-bin/stp.cgi $RPM_BUILD_ROOT/var/www/cgi-bin/stp.cgi
%__cp html_root/cgi-bin/auth/stp.cgi $RPM_BUILD_ROOT/var/www/cgi-bin/auth/stp.cgi
%__cp html_root/html/*.png $RPM_BUILD_ROOT/var/www/site_html
%__cp html_root/html/*.html $RPM_BUILD_ROOT/var/www/site_html
%__cp html_root/src/*\.* $RPM_BUILD_ROOT/var/www/site_src
##%__cp html_root/src/test_details $RPM_BUILD_ROOT/var/www/site_src
%__cp -r template/* $RPM_BUILD_ROOT/var/www/site_src
%__cp -r lib/STP $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perl_version}
%__cp -r lib/Eidetic $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perl_version}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
#chkconfig --add stp_init

%postun
#if [ "$1" = 0 ] ; then
#  chkconfig --del stp_init
#fi

%files
%defattr(-,root,root)

# initrd setup
%attr(0750,-,-) /etc/init.d/stp_init

# we only have one config file
%config /etc/config.xml

# binary files
%attr(0755,-,-) /usr/bin/*

# perl library directories
/usr/lib/perl5/site_perl/%{perl_version}/Eidetic
/usr/lib/perl5/site_perl/%{perl_version}/STP/ASP
/usr/lib/perl5/site_perl/%{perl_version}/STP/Client
/usr/lib/perl5/site_perl/%{perl_version}/STP/DB
/usr/lib/perl5/site_perl/%{perl_version}/STP/Test
/usr/lib/perl5/site_perl/%{perl_version}/STP/Util
/usr/lib/perl5/site_perl/%{perl_version}/STP/Validation
/usr/lib/perl5/site_perl/%{perl_version}/STP/XML

# Web server directories
/var/www/site_html
/var/www/cgi-bin
/var/www/eidetic
/var/www/eidetic/tmpl
/var/www/site_src
/var/www/site_tmp
/var/www/intranet_uploads

# documentation
%docdir /usr/share/man/man3
%dir /usr/share/man/man3

%changelog
* Mon Jan 20 2003  <jun@osdl.org>
- added chkconfig handling
* Wed Jan 15 2003  <cem@osdl.org>
- removed symbolic link creation on clients
* Wed Aug 14 2002  <jerry@duck.pdx.osdl.net>
- Initial build.


